Bug 1526628 - please backport OnAccessExcludeRootUID from clamav-master
Summary: please backport OnAccessExcludeRootUID from clamav-master
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-15 22:27 UTC by James Ralston
Modified: 2018-07-11 20:41 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-11 17:00:24 UTC


Attachments (Terms of Use)
backport of OnAccessExcludeRootUID to 0.99.2 (8.37 KB, text/plain)
2017-12-15 22:27 UTC, James Ralston
no flags Details
backport of OnAccessExcludeRootUID to 0.99.2 (8.36 KB, patch)
2017-12-15 22:29 UTC, James Ralston
no flags Details | Diff

Description James Ralston 2017-12-15 22:27:41 UTC
Created attachment 1368688 [details]
backport of OnAccessExcludeRootUID to 0.99.2

Description of problem:

The OnAccessExcludeUID has a limitation: attempting to exclude the root user (by saying "OnAccessExcludeUID 0" will disable the option entirely, because 0 is interpreted by the option parser as "false".

To address this, I worked with the ClamAV developers to add a new option, OnAccessExcludeRootUID. See:

https://bugzilla.clamav.net/show_bug.cgi?id=11978

Since this feature will be in a future ClamAV release (currently targeting 0.99.4), please consider applying the following patch, which backports the feature to 0.99.2.

Thank you for your consideration.

Comment 1 James Ralston 2017-12-15 22:29 UTC
Created attachment 1368689 [details]
backport of OnAccessExcludeRootUID to 0.99.2

Comment 2 James Ralston 2017-12-15 22:31:24 UTC
Sorry; first patch had wrong email address in comments. The current patch is correct.

Comment 3 Sergio Monteiro Basto 2017-12-18 11:46:24 UTC
Hi,

Anyone against put clamav-0.99.3-beta1 + branch 0.99.3 [1] in rawhide ? 

Thanks

[1] 
https://github.com/vrtadmin/clamav-devel/compare/clamav-0.99.3-beta1...0.99.3

Comment 4 Robert Scheck 2017-12-18 11:55:25 UTC
Would that lead to 0.99.3 beta in Rawhide? If so, I would more prefer the 
specific patch (backported if needed) rather a beta...

Comment 5 Sergio Monteiro Basto 2017-12-18 12:02:06 UTC
yes , 0.99.3 beta in rawhide , and hope that we have one stable before F28 release . 
Add patches that back port stuff do much more work, IMHO

Comment 6 Sergio Monteiro Basto 2018-01-04 13:53:25 UTC
@Robert,  
clamav-0.99.3-beta2 was released in 2017-12-15 and clamav-0.99.2 was released in 2016-05-03, so next stable release should be released soon (since we have a long gap ... ) and in rawhide we may help upstream on testing and prepare sooner the package for stable releases like epel7 ...

If I start work in clamav-0.99.3-beta2 package I will notify here the progress ... 

Best regards,

Comment 7 Fedora End Of Life 2018-02-20 15:28:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 8 James 2018-03-15 17:48:31 UTC
Greetings; as a word of advice to other Googlers, I just tested today and it looks like the "OnAccessExcludeRootUID" feature/bug-fix is STILL is not implemented in v0.99.4. (I tested on CentOS.) So, it looks like if you need to run ClamAV as root and have it function properly, you will have to use the development version of 0.100.0 (or greater). If anyone has any additional information, please share.

Comment 9 Sergio Monteiro Basto 2018-03-23 18:27:54 UTC
Hi, [1] I may start it packaging 0.100.0 in Rawhide + F28 , this will help you in some way ? 

Thanks 

[1]
http://blog.clamav.net/2018/03/clamav-01000-rc-has-been-posted.html

ClamAV 0.100.0-rc has been posted!

ClamAV 0.100.0 is a feature release (candidate) which includes many code submissions from the ClamAV community.  As always, it can be downloaded from our downloads site on clamav.net. Some of the more prominent submissions include:

Comment 10 Fedora Update System 2018-05-29 02:23:44 UTC
clamav-0.100.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-920654e157

Comment 11 Fedora Update System 2018-05-29 02:24:15 UTC
clamav-0.100.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-93943ec106

Comment 12 Fedora Update System 2018-05-29 02:24:42 UTC
clamav-0.100.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4b08b15845

Comment 13 Fedora Update System 2018-05-29 02:25:06 UTC
clamav-0.100.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-88c0c447a4

Comment 14 Fedora Update System 2018-05-29 12:02:40 UTC
clamav-0.100.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-93943ec106

Comment 15 Fedora Update System 2018-05-29 13:03:37 UTC
clamav-0.100.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4b08b15845

Comment 16 Fedora Update System 2018-05-29 13:13:19 UTC
clamav-0.100.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-920654e157

Comment 17 Fedora Update System 2018-05-29 13:18:17 UTC
clamav-0.100.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-88c0c447a4

Comment 18 Fedora Update System 2018-06-03 14:03:07 UTC
clamav-0.100.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b46f881c86

Comment 19 Fedora Update System 2018-06-03 14:03:33 UTC
clamav-0.100.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b5afbce392

Comment 20 Fedora Update System 2018-06-03 14:03:50 UTC
clamav-0.100.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7d6dc8227a

Comment 21 Fedora Update System 2018-06-03 19:38:32 UTC
clamav-0.100.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b5afbce392

Comment 22 Fedora Update System 2018-06-03 19:41:20 UTC
clamav-0.100.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7d6dc8227a

Comment 23 Fedora Update System 2018-06-03 20:54:18 UTC
clamav-0.100.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b46f881c86

Comment 24 Fedora Update System 2018-06-11 17:00:24 UTC
clamav-0.100.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2018-06-13 21:33:40 UTC
clamav-0.100.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2018-07-03 12:53:13 UTC
clamav-0.100.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2018-07-11 20:41:01 UTC
clamav-0.100.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.